#
# spec file for package axis
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           axis
Version:        1.4
Release:        lp150.3.3
Summary:        Apache implementation of the SOAP
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://ws.apache.org/axis/
Source0:        axis-src-1_4.tar.bz2
# svn export http://svn.apache.org/repos/asf/webservices/axis/branches/AXIS_1_4_FINAL/
# Build only
# cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools export -r v1_1_0 org.eclipse.orbit/javax.xml.rpc/META-INF/MANIFEST.MF
# mv org.eclipse.orbit/javax.xml.rpc/META-INF/MANIFEST.MF xmlrpc-MANIFEST.MF
Source1:        xmlrpc-MANIFEST.MF
# cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools export -r v1_4_0 org.eclipse.orbit/org.apache.axis/META-INF/MANIFEST.MF
# mv org.eclipse.orbit/org.apache.axis/META-INF/MANIFEST.MF axis-MANIFEST.MF
Source2:        axis-MANIFEST.MF
# cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools export -r v1_3_0 org.eclipse.orbit/javax.xml.soap/META-INF/MANIFEST.MF
# mv org.eclipse.orbit/javax.xml.soap/META-INF/MANIFEST.MF saaj-MANIFEST.MF
Source3:        saaj-MANIFEST.MF
Source4:        http://repo1.maven.org/maven2/axis/axis/1.4/axis-1.4.pom
Source5:        http://repo1.maven.org/maven2/axis/axis-ant/1.4/axis-ant-1.4.pom
Source6:        http://repo1.maven.org/maven2/axis/axis-jaxrpc/1.4/axis-jaxrpc-1.4.pom
Source7:        http://repo1.maven.org/maven2/axis/axis-saaj/1.4/axis-saaj-1.4.pom
Source8:        axis-schema-1.4.pom
Patch0:         unimplemented-dom3-methods.patch
Patch1:         axis-1.4-gcc44_build.patch
Patch2:         axis-manifest.patch
Patch3:         axis-ant-build.patch
Patch4:         axis-encoding.patch
Patch5:         axis-compareto.patch
Patch6:         axis-enum.patch
BuildRequires:  ant
BuildRequires:  ant-jdepend
BuildRequires:  antlr
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-logging
BuildRequires:  classpathx-mail
BuildRequires:  gnu-jaf
BuildRequires:  jakarta-commons-discovery
BuildRequires:  java-devel >= 1.6
BuildRequires:  javapackages-local
BuildRequires:  javapackages-tools
BuildRequires:  junit
BuildRequires:  log4j-mini
BuildRequires:  servletapi5
BuildRequires:  unzip
BuildRequires:  wsdl4j
BuildRequires:  xerces-j2
Requires:       apache-commons-httpclient
Requires:       apache-commons-logging
Requires:       jaf
Requires:       jakarta-commons-discovery
Requires:       java
Requires:       javamail
Requires:       jaxp_parser_impl
Requires:       log4j
Requires:       wsdl4j
Obsoletes:      %{name}-javadoc
BuildArch:      noarch

%description
Apache Axis is an implementation of the SOAP ("Simple Object Access
Protocol") submission to W3C.

%package manual
Summary:        Manual for axis
Group:          Documentation/Other

%description manual
Manual for axis

%prep
%setup -q -n %{name}-1_4

%patch0 -p1
%patch1 -p1 -b gcc44-build
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# Remove provided binaries
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
rm -rf src/org/apache/axis/enum

cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
CLASSPATH=$(build-classpath wsdl4j commons-discovery commons-httpclient3 commons-logging log4j activation javamail servletapi5)
export CLASSPATH=$CLASSPATH:$(build-classpath oro junit jdepend jimi xml-security jsse httpunit jms castor 2>/dev/null)
export OPT_JAR_LIST="ant/ant-nodeps"
ant -Dcompile.ime=true \
    -Dwsdl4j.jar=$(build-classpath wsdl4j) \
    -Dcommons-discovery.jar=$(build-classpath commons-discovery) \
    -Dcommons-logging.jar=$(build-classpath commons-logging) \
    -Dcommons-httpclient.jar=$(build-classpath commons-httpclient3) \
    -Dlog4j-core.jar=$(build-classpath log4j) \
    -Dactivation.jar=$(build-classpath jaf) \
    -Dmailapi.jar=$(build-classpath javamail/mailapi) \
    -Dxerces.jar=$(build-classpath jaxp_parser_impl) \
    -Dservlet.jar=$(build-classpath servletapi5) \
    -Dregexp.jar=$(build-classpath oro 2>/dev/null) \
    -Djunit.jar=$(build-classpath junit 2>/dev/null) \
    -Djimi.jar=$(build-classpath jimi 2>/dev/null) \
    -Djsse.jar=$(build-classpath jsse/jsse 2>/dev/null) \
    -Dant.build.javac.source=1.6 -Dsource=1.6 \
    -Dant.build.javac.target=1.6 -Dtarget=1.6 \
    clean compile

%install
### Jar files
install -d -m 755 %{buildroot}%{_javadir}/%{name}
pushd build/lib
   install -m 644 axis.jar axis-ant.jar saaj.jar jaxrpc.jar \
           %{buildroot}%{_javadir}/%{name}
popd

# POMs
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP.%{name}-axis.pom
%add_maven_depmap JPP.%{name}-axis.pom %{name}/axis.jar
install -m 644 %{SOURCE5} %{buildroot}%{_mavenpomdir}/JPP.%{name}-axis-ant.pom
%add_maven_depmap JPP.%{name}-axis-ant.pom %{name}/axis-ant.jar
install -m 644 %{SOURCE6} %{buildroot}%{_mavenpomdir}/JPP.%{name}-jaxrpc.pom
%add_maven_depmap JPP.%{name}-jaxrpc.pom %{name}/jaxrpc.jar
install -m 644 %{SOURCE7} %{buildroot}%{_mavenpomdir}/JPP.%{name}-saaj.pom
%add_maven_depmap JPP.%{name}-saaj.pom %{name}/saaj.jar
#install -m 644 %{S:8} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-axis-schema.pom
# % add_maven_depmap JPP.%{name}-axis-schema.pom %{name}/axis-schema.jar

%files
%doc LICENSE README release-notes.html changelog.html
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_mavenpomdir}/*.pom
%{_datadir}/maven-metadata/%{name}.xml

%files manual
%doc docs/*

%changelog
* Thu Oct  5 2017 fstrba@suse.com
- Remove the 3 deprecated classes from package org.apache.axis.enum
  * allows building with java source and target >= 1.5
- Added patches:
  * axis-encoding.patch
    + Specify file encoding ISO-8859-1 in order to avoid compiler
    errors with characters unmappable in ASCII
  * axis-enum.patch
    + Rename variable enum to emun to avoid clash with reserved
    word in java5+
  * axis-compareto.patch
    + Rewrite the UnsignedInt::compareTo and
    UnsignedLong::compareTo to check first that the Object we
    compare with is instance of the respective class
* Thu Sep 14 2017 fstrba@suse.com
- BuildRequires: java-devel >= 1.6
- BuildConflicts: java-devel >= 1.9
  * Allow building with wider range of java compilers
- Clean spec file
* Sun Sep 10 2017 fstrba@suse.com
- Requires for build java-devel = 1.8.0 since it is the last
  version able to build with source and target levels 1.3
* Fri May 19 2017 tchvatal@suse.com
- Fix build with new javapackages-tools
* Wed May 17 2017 tchvatal@suse.com
- Disable javadoc
- Fix build with new ant 1.9.8+
  * axis-ant-build.patch
* Wed Mar 18 2015 tchvatal@suse.com
- Fix build with new javapackages-tools
* Fri Jun 27 2014 tchvatal@suse.com
- Fix back javadoc
* Fri Jun 27 2014 tchvatal@suse.com
- Depend on proper apache pkgs
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Tue Feb 28 2012 mvyskocil@suse.cz
- strip the jakarta- from classpath to be ready for jakarta->apache-commons
  renaming
- added some pms and manifest files
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Fri Mar 11 2011 mvyskocil@suse.cz
- build using openjdk, use ant.build.javac.target and source 1.4
  to prevent javadoc fail, clean up BuildRequires
* Thu May 21 2009 mvyskocil@suse.cz
- fixed build with new gcj44
* Thu Jul 31 2008 mvyskocil@suse.cz
- replace gnu-javamail dependency to classpathx-mail [bnc#411839]
  - the classpathx-foo is consistent with jpackage.org project
* Wed Jul 16 2008 coolo@suse.de
- avoid another build cycle
* Tue Apr 22 2008 mvyskocil@suse.cz
- fixed build with new gcj (memory consupmtion limit)
* Thu Jan 17 2008 skh@suse.de
- remove glibj from build-classpath call as we don't have classpath
  packages
* Wed May  2 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Thu Jan  5 2006 dbornkessel@suse.de
- Current version 1.2.3 from JPackage.org
